package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 规则值类型(1.固定值,2.系统上下问变量)枚举类
*
* @author zxfei
*/
public enum RuleTypeEnum {
    固定值(1, "固定值"),
    系统上下问变量(2, "系统上下问变量");
    private Integer value;
    private String desc;

    RuleTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static RuleTypeEnum getByValue(Integer value) {
        for (RuleTypeEnum ruleTypeEnum : RuleTypeEnum.values()) {
            if (ruleTypeEnum.getValue() == value) {
                return ruleTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (RuleTypeEnum item : RuleTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}